Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for TCP/IP HL7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.tcpip.model.server
Class TCPIPServerConfigInfo

    java.lang.Object
      com.stc.connector.tcpip.model.server.TCPIPServerConfigInfo

All Implemented Interfaces:
  TCPIPServerConfigInfoInterface

    public class TCPIPServerConfigInfo

extends java.lang.Object
implements TCPIPServerConfigInfoInterface

This class wraps TCPIP server configuration information.

Version:
  cvs revision: $Revision: 1.4 $ Last Modified: $Date: 2008/04/23 07:15:21 $
Author:
  Harry Liu

Field Summary
`static java.lang.String` | `version`

Constructor Summary
`TCPIPServerConfigInfo(TCPIPServerSocketInfo serverSocketInfo, TCPIPServerScheduleInfo serverScheduleInfo)` Constructor for TCPIPServerConfigInfo.

Method Summary
`TCPIPSocketEstablishmentInfoInterface` | `getClientConnectionEstablishmentInfo()` It is for inbound client only.
`TCPIPServerConnectionManagementInfoInterface` | `getInboundConnectionManagementInfo()`
`TCPIPServerScheduleInfoInterface` | `getInboundScheduleInfo()`
`TCPIPServerPortBindingInfoInterface` | `getServerPortBindingInfo()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### version

    public static final java.lang.String version

See Also:
  Constant Field Values

Constructor Detail

### TCPIPServerConfigInfo

    public TCPIPServerConfigInfo(TCPIPServerSocketInfo serverSocketInfo,
                                 TCPIPServerScheduleInfo serverScheduleInfo)

  Constructor for TCPIPServerConfigInfo.

  Parameters:
    `serverSocketInfo` - an instance of TCPIPServerSocketInfo
    `serverScheduleInfo` - an instance of TCPIPServerScheduleInfo

Method Detail

### getInboundConnectionManagementInfo

    public TCPIPServerConnectionManagementInfoInterface getInboundConnectionManagementInfo()

  Specified by:
    `getInboundConnectionManagementInfo` in interface `TCPIPServerConfigInfoInterface`
  Returns:
    TCPIPServerConnectionManagementInfoInterface

### getServerPortBindingInfo

    public TCPIPServerPortBindingInfoInterface getServerPortBindingInfo()

  Specified by:
    `getServerPortBindingInfo` in interface `TCPIPServerConfigInfoInterface`
  Returns:
    TCPIPServerPortBindingInfoInterface

### getClientConnectionEstablishmentInfo

    public TCPIPSocketEstablishmentInfoInterface getClientConnectionEstablishmentInfo()

  It is for inbound client only.

  Specified by:
    `getClientConnectionEstablishmentInfo` in interface `TCPIPServerConfigInfoInterface`
  Returns:
    TCPIPSocketEstablishmentInfoInterface

### getInboundScheduleInfo

    public TCPIPServerScheduleInfoInterface getInboundScheduleInfo()
                                                            throws TCPIPApplicationException

  Specified by:
    `getInboundScheduleInfo` in interface `TCPIPServerConfigInfoInterface`
  Returns:
    TCPIPServerScheduleInfoInterface
  Throws:
    `TCPIPApplicationException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for TCP/IP HL7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD